GET
/api/routesList all routes
Lists all routes. Use this operation to retrieve route definitions, including their network, enabled state, and access-control configuration.
200Returns an array of route objects, including each route's ID, network type, description, network ID, enabled state, metric, masquerade setting, groups, and keep-route setting.
idstringrequired
Route Id
network_typestringrequired
Network type indicating if it is a domain route or a IPv4/IPv6 route
access_control_groupsarray<string>optional
Access control group identifier associated with route.
descriptionstringrequired
Route description
domainsarray<string>optional
Domain list to be dynamically resolved. Max of 32 domains can be added per route configuration. Conflicts with network
enabledbooleanrequired
Route status
groupsarray<string>required
Group IDs containing routing peers
keep_routebooleanrequired
Indicate if the route should be kept after a domain doesn't resolve that IP anymore
masqueradebooleanrequired
Indicate if peer should masquerade traffic to this route's prefix
metricintegerrequired
Route metric number. Lowest number has higher priority
networkstringoptional
Network range in CIDR format, Conflicts with domains
network_idstringrequired
Route network identifier, to group HA routes
peerstringoptional
Peer Identifier associated with route. This property can not be set together with `peer_groups`
peer_groupsarray<string>optional
Peers Group Identifier associated with route. This property can not be set together with `peer`
skip_auto_applybooleanoptional
Indicate if this exit node route (0.0.0.0/0) should skip auto-application for client routing
400Returned when the request is invalid.
401Returned when authentication is missing or invalid.
403Returned when the authenticated user is not permitted to access routes.
500Returned when an internal server error occurs.
Error handling
A 400 is returned when the request is invalid; a 401 is returned when authentication is missing or invalid; a 403 is returned when the authenticated user is not permitted to access routes; and a 500 is returned when an internal server error occurs.